<template>
  <div class="main">
      <image class="typeImg" src="https://eshangtech.com/ShopICO/ahyd-BID/commercial/noData.svg"></image>
      <p class="text" v-if="type==='index'">抱歉,数据为第三方接口传输，无法进行画像分析</p>
      <p class="noAuthor" v-else-if="type==='noAuthor'">抱歉，您没有权限查看数智化看板，请联系管理员进行授权</p>
      <p class="text" v-else>抱歉,第三方数据未传,无法分析</p>
  </div>
</template>

<script>
export default {
    name: "noData",
    data(){
        return {
          type:''
        }
    },
    onLoad(query){
        if (query.type){
          this.type = query.type
        }
        let userInfo = uni.getStorageSync('vuex')
        userInfo = JSON.parse(userInfo)
        console.log('userInfo',userInfo)
        console.log(userInfo.userData.AuthorityInfo['89a1f248-2113-4d57-84b1-c2e6edb9e8ee'])
        if (userInfo.userData.AuthorityInfo['89a1f248-2113-4d57-84b1-c2e6edb9e8ee']===1){
            setTimeout(()=>{
                uni.switchTab({
                    url:`/pages/index/index`
                })
            },200)
        }
    },
    onUnload() {
        this.$util.addUserBehavior()
    },
    methods:{

    }
}
</script>

<style scoped lang="scss">
.main{
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 12px;
  padding: 16px 0;
  .img{
    width:60px;
    height: 60px;
    margin-bottom: 8px;
  }
  .typeImg{
    width: 80px;
    height: 80px;
    margin-top: 40vh;
    margin-bottom: 16px;
  }
  .text{
    font-size: 14px;
    font-family: PingFangSC-Regular, PingFang SC;
    font-weight: 400;
    color: #6C737A;
    line-height: 20rpx;
  }
}
</style>
